NXOpen.UF.Draw.CreateHalfSxview

Draw.CreateHalfSxview()

Refer to UF_DRAW_create_half_sxview for documentation.

Signature: CreateHalfSxview(dwgTag, sxviewScale, stepDir, arrowDir, pviewTag, numSxsegs, halfSxsegObjects, viewPlacementPt)

Parameters:
  • dwgTag (Tag) – Drawing tag
  • sxviewScale (float) – Section view scale
  • stepDir (list of float) – Step direction vector (unitized) relative to the drawing: step_dir[0] = x value step_dir[1] = y value step_dir[2] = z value
  • arrowDir (list of float) – Arrow direction vector (unitized) relative to the drawing. arrow_dir[0] = x value arrow_dir[1] = y value arrow_dir[2] = z value
  • pviewTag (Tag) – Parent view tag
  • numSxsegs (int) – Number of section segments. A cut segment and bend segment must be provided (num_segs=2). If the arrow segment location is optionally provided, num_segs=3.
  • halfSxsegObjects (list of NXOpen.UF.Draw.HalfSxsegs Refer to UF_DRAW_half_sxsegs_s for documentation.) – Section line segment object structure
  • viewPlacementPt (list of float) – View placement point on drawing in absolute drawing coordinates (x,y))
Returns:

Tag of newly created section view

Return type:

Tag

License requirements: DRAFTING